package kata_test

import (
	. "github.com/onsi/ginkgo"
	. "github.com/onsi/gomega"

	. "code.osinet.fr/fgm/codewars/kyu7/find_n_1_common_letters"
)

var _ = Describe("General tests", func() {
	It("Sample 1", func() {
		Expect(MinQuine("AB Ab")).To(Equal([]string{"A"}))
	})
	It("Sample 2", func() {
		Expect(MinQuine("AbCD Abcd aBCd abcD")).To(Equal([]string{}))
	})
	It("Sample 3", func() {
		Expect(MinQuine("ABCD AbCD aBCD aBCd abcd")).To(Equal([]string{"ACD", "BCD", "aBC"}))
	})
	It("Sample 4", func() {
		Expect(MinQuine("ABCd AbCD aBCD aBCd abcd")).To(Equal([]string{"BCd", "aBC"}))
	})

	It("Repetition", func() {
		Expect(MinQuine("ABCD ABCD aBcd")).To(Equal([]string{}))
	})
})
